Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

# Interface ISQLServerConnection43

All Superinterfaces:
  `AutoCloseable`, `Connection`, `ISQLServerConnection`, `Wrapper`

All Known Implementing Classes:
  `SQLServerConnection43`

public interface ISQLServerConnection43 extends ISQLServerConnection
Provides an interface to the `SQLServerConnection43` class.

## Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Fields inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerConnection

`TRANSACTION_SNAPSHOT`

## Method Summary

Modifier and Type
Method
Description
`void`
`beginRequest()`
Hints to the driver that a request, an independent unit of work, is beginning on this connection.
`void`
`endRequest()`
Hints to the driver that a request, an independent unit of work, has completed.

### Methods inherited from interface java.sql.Connection

`abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid, setTransactionIsolation, setTypeMap`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerConnection

`closeUnreferencedPreparedStatementHandles, createStatement, getClientConnectionId, getDelayLoadingLobs, getDisableStatementPooling, getDiscardedServerPreparedStatementCount, getEnablePrepareOnFirstPreparedStatementCall, getSendTimeAsDatetime, getServerPreparedStatementDiscardThreshold, getStatementHandleCacheEntryCount, getStatementPoolingCacheSize, getUseFmtOnly, isStatementPoolingEnabled, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, setDelayLoadingLobs, setDisableStatementPooling, setEnablePrepareOnFirstPreparedStatementCall, setSendTimeAsDatetime, setServerPreparedStatementDiscardThreshold, setStatementPoolingCacheSize, setUseFmtOnly`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### beginRequest

void beginRequest() throws SQLException
Hints to the driver that a request, an independent unit of work, is beginning on this connection. It backs up the values of the connection properties that are modifiable through public methods. Each request is independent of all other requests with regard to state local to the connection either on the client or the server. Work done between `beginRequest`, `endRequest` pairs does not depend on any other work done on the connection either as part of another request or outside of any request. A request may include multiple transactions. There may be dependencies on committed database state as that is not local to the connection. `beginRequest` marks the beginning of the work unit.

Local state is defined as any state associated with a Connection that is local to the current Connection either in the client or the database that is not transparently reproducible.

Calls to `beginRequest` and `endRequest` are not nested. Multiple calls to `beginRequest` without an intervening call to `endRequest` is not an error. The first `beginRequest` call marks the start of the request and subsequent calls are treated as a no-op It is recommended to enclose each unit of work in `beginRequest`, `endRequest` pairs such that there is no open transaction at the beginning or end of the request and no dependency on local state that crosses request boundaries. Committed database state is not local. This method is to be used by Connection pooling managers.

The pooling manager should call `beginRequest` on the underlying connection prior to returning a connection to the caller.

Specified by:
  `beginRequest` in interface `Connection`
Throws:
  `SQLException` - if an error occurs
See Also:
  `endRequest()`

### endRequest

void endRequest() throws SQLException
Hints to the driver that a request, an independent unit of work, has completed. It rolls back the open transactions. Resets the connection properties that are modifiable through public methods back to their original values. Calls to `beginRequest` and `endRequest` are not nested. Multiple calls to `endRequest` without an intervening call to `beginRequest` is not an error. The first `endRequest` call marks the request completed and subsequent calls are treated as a no-op. If `endRequest` is called without an initial call to `beginRequest` is a no-op. This method is to be used by Connection pooling managers.

Specified by:
  `endRequest` in interface `Connection`
Throws:
  `SQLException` - if an error occurs
See Also:
  `beginRequest()`